/* --COPYRIGHT--,BSD
 * Copyright (c) 2017, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/


// Generated by Captivate Design Center v1_83_00_08 on Tue May 14 10:30:19 CEST 2024


//*****************************************************************************
// CAPT_UserConfig.c
//
// \version 1.83.00.05
// Released on May 15, 2020
//
//*****************************************************************************

//*****************************************************************************
//
// NOTE: This is an automatically generated source code file!  The Captivate
// Design Center generates the User Configuration file automatically based
// upon the sensor layout that was created.
//
// Changes to this file will be OVERWRITTEN if a you select
// "Update Existing Project" under "Generate Source Code" in the Design Center.
//
// To avoid interference with the code generation process, keep ALL application
// code external to this file.
//
//*****************************************************************************

#include "CAPT_UserConfig.h"

//*****************************************************************************
//
//! Captivate Element Definitions
//! All elements in this application are defined below.
//! Each element has 3 components:
//!  1) a raw count array (One index per freq. scanned) (uint16_t)
//!  2) a tuning array (One index per freq. scanned) (tCaptivateElementTuning)
//!  3) a element structure (tElement)
//
//*****************************************************************************
// Sensor: TKP00, Element: E00
uint16_t TKP00_E00_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E00_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E00 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E00_RawCnts,
    .pTuning = TKP00_E00_Tuning,
};

// Sensor: TKP00, Element: E01
uint16_t TKP00_E01_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E01_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E01 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E01_RawCnts,
    .pTuning = TKP00_E01_Tuning,
};

// Sensor: TKP00, Element: E02
uint16_t TKP00_E02_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E02_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E02 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E02_RawCnts,
    .pTuning = TKP00_E02_Tuning,
};

// Sensor: TKP00, Element: E03
uint16_t TKP00_E03_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E03_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E03 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E03_RawCnts,
    .pTuning = TKP00_E03_Tuning,
};

// Sensor: TKP00, Element: E04
uint16_t TKP00_E04_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E04_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E04 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E04_RawCnts,
    .pTuning = TKP00_E04_Tuning,
};

// Sensor: TKP00, Element: E05
uint16_t TKP00_E05_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E05_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E05 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E05_RawCnts,
    .pTuning = TKP00_E05_Tuning,
};

// Sensor: TKP00, Element: E06
uint16_t TKP00_E06_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E06_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E06 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E06_RawCnts,
    .pTuning = TKP00_E06_Tuning,
};

// Sensor: TKP00, Element: E07
uint16_t TKP00_E07_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E07_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E07 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E07_RawCnts,
    .pTuning = TKP00_E07_Tuning,
};

// Sensor: TKP00, Element: E08
uint16_t TKP00_E08_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E08_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E08 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E08_RawCnts,
    .pTuning = TKP00_E08_Tuning,
};

// Sensor: TKP00, Element: E09
uint16_t TKP00_E09_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E09_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E09 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E09_RawCnts,
    .pTuning = TKP00_E09_Tuning,
};

// Sensor: TKP00, Element: E10
uint16_t TKP00_E10_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E10_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E10 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E10_RawCnts,
    .pTuning = TKP00_E10_Tuning,
};

// Sensor: TKP00, Element: E11
uint16_t TKP00_E11_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E11_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E11 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E11_RawCnts,
    .pTuning = TKP00_E11_Tuning,
};

// Sensor: TKP00, Element: E12
uint16_t TKP00_E12_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E12_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E12 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E12_RawCnts,
    .pTuning = TKP00_E12_Tuning,
};

// Sensor: TKP00, Element: E13
uint16_t TKP00_E13_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E13_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E13 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E13_RawCnts,
    .pTuning = TKP00_E13_Tuning,
};

// Sensor: TKP00, Element: E14
uint16_t TKP00_E14_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E14_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E14 =
{
    .ui8TxPin = 1,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E14_RawCnts,
    .pTuning = TKP00_E14_Tuning,
};

// Sensor: TKP00, Element: E15
uint16_t TKP00_E15_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E15_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E15 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E15_RawCnts,
    .pTuning = TKP00_E15_Tuning,
};

// Sensor: TKP00, Element: E16
uint16_t TKP00_E16_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E16_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E16 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E16_RawCnts,
    .pTuning = TKP00_E16_Tuning,
};

// Sensor: TKP00, Element: E17
uint16_t TKP00_E17_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E17_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E17 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E17_RawCnts,
    .pTuning = TKP00_E17_Tuning,
};

// Sensor: TKP00, Element: E18
uint16_t TKP00_E18_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E18_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E18 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E18_RawCnts,
    .pTuning = TKP00_E18_Tuning,
};

// Sensor: TKP00, Element: E19
uint16_t TKP00_E19_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E19_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E19 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E19_RawCnts,
    .pTuning = TKP00_E19_Tuning,
};

// Sensor: TKP00, Element: E20
uint16_t TKP00_E20_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E20_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E20 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E20_RawCnts,
    .pTuning = TKP00_E20_Tuning,
};

// Sensor: TKP00, Element: E21
uint16_t TKP00_E21_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E21_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E21 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E21_RawCnts,
    .pTuning = TKP00_E21_Tuning,
};

// Sensor: TKP00, Element: E22
uint16_t TKP00_E22_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E22_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E22 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E22_RawCnts,
    .pTuning = TKP00_E22_Tuning,
};

// Sensor: TKP00, Element: E23
uint16_t TKP00_E23_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E23_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E23 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E23_RawCnts,
    .pTuning = TKP00_E23_Tuning,
};

// Sensor: TKP00, Element: E24
uint16_t TKP00_E24_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning TKP00_E24_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement TKP00_E24 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = TKP00_E24_RawCnts,
    .pTuning = TKP00_E24_Tuning,
};


//*****************************************************************************
//
//! Captivate Time Cycle Definitions
//! All time cycles in this application are defined below.  Time cycles are
//! groups of elements that are measured together in parallel in one time slot.
//! Each cycle has 2 components:
//!  1) an element pointer array to the member elements (tElement*)
//!  2) a cycle structure (tCycle)
//
//*****************************************************************************
// Time Cycle: TKP00_C00
tElement* TKP00_C00_Elements[4] =
{
    &TKP00_E00,
    &TKP00_E01,
    &TKP00_E02,
    &TKP00_E03,
};
tCycle TKP00_C00 =
{
    .ui8NrOfElements = 4,
    .pElements = TKP00_C00_Elements,
};

// Time Cycle: TKP00_C01
tElement* TKP00_C01_Elements[1] =
{
    &TKP00_E04,
};
tCycle TKP00_C01 =
{
    .ui8NrOfElements = 1,
    .pElements = TKP00_C01_Elements,
};

// Time Cycle: TKP00_C02
tElement* TKP00_C02_Elements[4] =
{
    &TKP00_E05,
    &TKP00_E06,
    &TKP00_E07,
    &TKP00_E08,
};
tCycle TKP00_C02 =
{
    .ui8NrOfElements = 4,
    .pElements = TKP00_C02_Elements,
};

// Time Cycle: TKP00_C03
tElement* TKP00_C03_Elements[1] =
{
    &TKP00_E09,
};
tCycle TKP00_C03 =
{
    .ui8NrOfElements = 1,
    .pElements = TKP00_C03_Elements,
};

// Time Cycle: TKP00_C04
tElement* TKP00_C04_Elements[4] =
{
    &TKP00_E10,
    &TKP00_E11,
    &TKP00_E12,
    &TKP00_E13,
};
tCycle TKP00_C04 =
{
    .ui8NrOfElements = 4,
    .pElements = TKP00_C04_Elements,
};

// Time Cycle: TKP00_C05
tElement* TKP00_C05_Elements[1] =
{
    &TKP00_E14,
};
tCycle TKP00_C05 =
{
    .ui8NrOfElements = 1,
    .pElements = TKP00_C05_Elements,
};

// Time Cycle: TKP00_C06
tElement* TKP00_C06_Elements[4] =
{
    &TKP00_E15,
    &TKP00_E16,
    &TKP00_E17,
    &TKP00_E18,
};
tCycle TKP00_C06 =
{
    .ui8NrOfElements = 4,
    .pElements = TKP00_C06_Elements,
};

// Time Cycle: TKP00_C07
tElement* TKP00_C07_Elements[1] =
{
    &TKP00_E19,
};
tCycle TKP00_C07 =
{
    .ui8NrOfElements = 1,
    .pElements = TKP00_C07_Elements,
};

// Time Cycle: TKP00_C08
tElement* TKP00_C08_Elements[4] =
{
    &TKP00_E20,
    &TKP00_E21,
    &TKP00_E22,
    &TKP00_E23,
};
tCycle TKP00_C08 =
{
    .ui8NrOfElements = 4,
    .pElements = TKP00_C08_Elements,
};

// Time Cycle: TKP00_C09
tElement* TKP00_C09_Elements[1] =
{
    &TKP00_E24,
};
tCycle TKP00_C09 =
{
    .ui8NrOfElements = 1,
    .pElements = TKP00_C09_Elements,
};


//*****************************************************************************
//
//! Captivate Sensor Definitions
//! All sensors in this application are defined below.  Sensors are
//! groups of time cycles that utilize raw measurement data to create an
//! abstract sensor type, such as a button, slider, wheel, or prox sensor.
//! Each sensor has 3 components:
//!  1) a cycle pointer array to the member time cycles (tCycle*)
//!  2) a sensor-specific parameter structure (tGenericSensorParams)
//!  3) a sensor structure (tSensor)
//
//*****************************************************************************
//Sensor: TKP00
const tCycle* TKP00_Cycles[10] =
{
    &TKP00_C00,
    &TKP00_C01,
    &TKP00_C02,
    &TKP00_C03,
    &TKP00_C04,
    &TKP00_C05,
    &TKP00_C06,
    &TKP00_C07,
    &TKP00_C08,
    &TKP00_C09,
};

tElement TKP00_NA =
{
    .filterCount.ui16Natural = 0,
    .LTA.ui16Natural = 0,
};

tElement* TKP00_Elements[5][5] =
{
    { &TKP00_E00, &TKP00_E01, &TKP00_E02, &TKP00_E03, &TKP00_E04, },
    { &TKP00_E05, &TKP00_E06, &TKP00_E07, &TKP00_E08, &TKP00_E09, },
    { &TKP00_E10, &TKP00_E11, &TKP00_E12, &TKP00_E13, &TKP00_E14, },
    { &TKP00_E15, &TKP00_E16, &TKP00_E17, &TKP00_E18, &TKP00_E19, },
    { &TKP00_E20, &TKP00_E21, &TKP00_E22, &TKP00_E23, &TKP00_E24, },
};

uint16_t ui16TKP00SumX[5];
uint16_t ui16TKP00SumY[5];
tTrackPadSensorParams TKP00_Params =
{
    .pvProcessSensor = NULL,
    .pvProcessGesture = NULL,
    .bReseed = false,
    .ui8Gesture = 0xFF,
    .bPresentTouch = false,
    // Trackpad matrics
    .ui8TotalColumns = 5,
    .ui8TotalRows = 5,
    .pMatrix = TKP00_Elements[0],
    .pSumX = ui16TKP00SumX,
    .pSumY = ui16TKP00SumY,
    // Size and resolution
    .ui16Resolution_X = 1000,
    .ui16Resolution_Y = 1000,
    // Trims
    .ui16UpperTrim_X = 1000,
    .ui16LowerTrim_X = 0,
    .ui16UpperTrim_Y = 1000,
    .ui16LowerTrim_Y = 0,
    // Filtering
    .bFilterType = eDynamic,
    .bFilterEnable = true,
    .ui16DynamicFilterHighSpeed = 150,
    .ui16DynamicFilterLowSpeed = 10,
    .ui8DynamicFilterLowSpeedBeta = 10,
    .ui8StaticFilterBeta = 80,
    .ui16RejectionThreshold = 0,
    // Gesture parameters
    .ui16TapTime_Min = 4,
    .ui16TapTime_Max = 16,
    .ui16SwipeTime_Max = 30,
    .ui16DoubleTapTime_Max = 20,
    .ui16TapHoldTime_Min = 40,
    .ui16SwipeDistance_Min = 150,
};

tSensor TKP00 =
{
    // Basic Properties
    .TypeOfSensor = eTrackpad,
    .SensingMethod = eProjected,
    .DirectionOfInterest = eDOIUp,
    .pvCallback = NULL,
    .ui8NrOfCycles = 10,
    .pCycle = TKP00_Cycles,
    .pSensorParams = (tGenericSensorParams*)&TKP00_Params,
    // Conversion Control Parameters
    .ui16ConversionCount = 500,
    .ui16ConversionGain = 100,
    .ui8FreqDiv = 2,
    .ui8ChargeLength = 0,
    .ui8TransferLength = 0,
    .bModEnable = false,
    .ui8BiasControl = 3,
    .bCsDischarge = true,
    .bLpmControl = false,
    .ui8InputSyncControl = 0,
    .bTimerSyncControl = false,
    .bIdleState = true,
    // Tuning  Parameters
    .ui16ProxThreshold = 10,
    .ui16NegativeTouchThreshold = 30,
    .ui16ErrorThreshold = 8191,
    .ui16TimeoutThreshold = 65535,
    .ProxDbThreshold.DbIn = 1,
    .ProxDbThreshold.DbOut = 0,
    .TouchDbThreshold.DbIn = 1,
    .TouchDbThreshold.DbOut = 0,
    .bCountFilterEnable = false,
    .ui8CntBeta = 1,
    .bSensorHalt = false,
    .bPTSensorHalt = true,
    .bPTElementHalt = true,
    .ui8LTABeta = 7,
    .bReCalibrateEnable = true,
};


#if (CAPT_CONDUCTED_NOISE_IMMUNITY_ENABLE==true)
//*****************************************************************************
//
//! \var g_EMCConfig
//! This structure stores the EMC configuration for this application.
//
//*****************************************************************************
const tEMCConfig g_EMCConfig =
{
	// Conversion Style
	.selfModeConversionStyle = CAPT_SELF_MODE_CONVERSION_STYLE,
	.projModeConversionStyle = CAPT_PROJ_MODE_CONVERSION_STYLE,
	
	// Oversampling Style
	.selfModeOversamplingStyle = CAPT_SELF_MODE_OVERSAMPLING_STYLE,
	.projModeOversamplingStyle = CAPT_PROJ_MODE_OVERSAMPLING_STYLE,
	
	// Jitter Filter Enable
	.bJitterFilterEnable = true,
	
	// Noise Thresholds and Calibration Noise Limits
	.ui8NoiseThreshold = CAPT_NOISE_THRESHOLD,
	.ui16CalibrationNoiseLimit = CAPT_CALIBRATION_NOISE_LIMIT,
	.ui8CalibrationTestSampleSize = 8,
		
	// Dynamic Threshold Adjustment Parameters
	.bEnableDynamicThresholdAdjustment = CAPT_DYNAMIC_THRESHOLD_ADJUSTMENT,
	.ui8MaxRelThreshAdj = 76,
	.ui8NoiseLevelFilterEntryThresh = 40,
	.ui8NoiseLevelFilterExitThresh = 0,
	.ui8NoiseLevelFilterDown = 6,
	.ui8NoiseLevelFilterUp = 1,
	.coeffA = _IQ31(0.0065),
	.coeffB = _IQ31(0.050)
};
#endif

//*****************************************************************************
//
//! \var g_pCaptivateSensorArray
//! This array allows for indexed access to any
//! sensor in the configuration.
//
//*****************************************************************************
tSensor* g_pCaptivateSensorArray[CAPT_SENSOR_COUNT] =
{
    &TKP00,
};


//*****************************************************************************
//
//! \var g_uiApp
//! This structure stores the global settings for this application.
//
//*****************************************************************************
tCaptivateApplication g_uiApp =
{
    .state = eUIActive,
	.pSensorList = &g_pCaptivateSensorArray[0],
    .ui8NrOfSensors = CAPT_SENSOR_COUNT,
    .ui8AppLPM = CAPT_LOW_POWER_MODE,
    .bElementDataTxEnable = true,
    .bSensorDataTxEnable = true,
    .ui16ActiveModeScanPeriod = 33,
    .ui16WakeOnProxModeScanPeriod = 100,
    .ui16InactivityTimeout = 32,
    .ui8WakeupInterval = 5,
};
